
Foreman - Feature #6920

enable 'Run Puppet' per individual host rather than as setting

08/04/2014 02:00 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1126549 Red Hat JIRA:  

Pull request:    

Description

The 'puppetrun' is a server config but is perhaps better suited for a per-host option so it can be associated with roles&permissions

and be enabled per host.

History

#1 - 08/04/2014 02:00 PM - Thomas McKay

- Bugzilla link set to 1126549

#2 - 08/05/2014 03:11 AM - Dominic Cleal

The puppetrun_hosts permission can be added to roles already.  Per-host setting seems like overkill (adding yet more attributes), I can't see why it's

needed.
